use gitlab::Issue;
use gitlab::Project;

/// A struct which contains Issue and Project
#[derive(Debug)]
pub struct IssueBundle {
    pub issue: Issue,
    pub project: Project,
}

impl IssueBundle {
    pub fn new(issue: &Issue, project: &Project) -> Self {
        IssueBundle {
            issue: issue.clone(),
            project: project.clone(),
        }
    }
}
