pub mod action;
pub mod client;
pub mod issue;

use crate::error::GeneralError;
use gitlab::GitlabError;

impl From<GitlabError> for GeneralError {
    fn from(value: GitlabError) -> Self {
        GeneralError {
            description: value.to_string(),
        }
    }
}
