use serde::Deserialize;

#[derive(Deserialize, Debug)]
pub struct HalEntity {
    #[serde(rename = "_type")]
    pub d_type: String,
}

#[derive(Deserialize, Debug, Clone)]
pub struct Link {
    pub href: String,
    pub title: Option<String>,
}
